Loading...
Searching...
No Matches
etl::fnv_1a_policy_64 Struct Reference

`#include <fnv_1.h>`

## Public Types

typedef uint64_t | value_type

## Public Member Functions

uint64_t | initial () const
uint64_t | add (uint64_t hash, uint8_t value) const
uint64_t | final (uint64_t hash) const

## Static Public Attributes

static ETL_CONSTANT uint64_t | OFFSET_BASIS = 0xCBF29CE484222325ull
static ETL_CONSTANT uint64_t | PRIME = 0x00000100000001b3ull

## Detailed Description

fnv_1a policy. Calculates FNV1A.

The documentation for this struct was generated from the following file:

- include/etl/fnv_1.h